Name:           perl-HTML-Mason
Version:        1.3101
Release:        3%{?dist}
Summary:        HTML::Mason Perl module
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://www.masonhq.com/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/HTML-Mason-%{version}.tar.gz
Source1:        perl-HTML-Mason.conf

# Filter perl(MasonX::Request::PlusApacheSession).
Source2:        filter-requires.sh
%define __perl_requires %{SOURCE2}

# Filter perl(MyApp::Mason) and perl(MyApp::MasonPlusSession).
Source3:        filter-provides.sh
%define __perl_provides %{SOURCE3}

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Cache::Cache) >= 1
BuildRequires:  perl(Class::Container) >= 0.07
BuildRequires:  perl(Exception::Class) >= 1.15
BuildRequires:  perl(Module::Build::Compat) >= 0.02
BuildRequires:  perl(Params::Validate) >= 0.7
BuildRequires:  perl(mod_perl2)
Requires:       perl(Cache::Cache) >= 1
Requires:       perl(Class::Container) >= 0.07
Requires:       perl(Exception::Class) >= 1.15
Requires:       perl(Params::Validate) >= 0.7
Requires:       perl(mod_perl2)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       %{_sysconfdir}/httpd/conf.d

%description
Mason is a powerful Perl-based web site development and delivery
engine. With Mason you can embed Perl code in your HTML and construct
pages from shared, reusable components.  Mason solves the common
problems of site development: caching, debugging, templating,
maintaining development and production sites, and more.

%prep
%setup -q -n HTML-Mason-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

# make: *** No rule to make target `pure_install'.  Stop.
make install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/mason
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/mason

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CREDITS Changes LICENSE README UPGRADE
%doc htdocs/ eg/ samples/
%{perl_vendorlib}/*
%{_mandir}/man3/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/perl-HTML-Mason.conf
%dir %attr(775,root,apache) %{_localstatedir}/cache/mason
%dir %{_localstatedir}/www/mason

%changelog
* Thu Sep 15 2005 Steven Pritchard <steve@kspei.com> 1.3101-3
- Filter bogus provides/requires introduced by eg/ and samples/

* Thu Sep 15 2005 Steven Pritchard <steve@kspei.com> 1.3101-2
- More spec cleanup (jpo)

* Mon Aug 29 2005 Steven Pritchard <steve@kspei.com> 1.3101-1
- Update to 1.3101
- Spec cleanup (jpo)
- Include sample config file from Chris Grau

* Wed Aug 24 2005 Steven Pritchard <steve@kspei.com> 1.31-3
- Use /var/www/mason instead of /var/www/comp
- Spec cleanup

* Tue Aug 23 2005 Steven Pritchard <steve@kspei.com> 1.31-2
- Add some missing dependencies

* Tue Aug 23 2005 Steven Pritchard <steve@kspei.com> 1.31-1
- Update to 1.31
- Use /var/cache/mason instead of /var/www/mason
- Fix perl-HTML-Mason.conf
- Fix URL

* Thu Aug 11 2005 Steven Pritchard <steve@kspei.com> 1.30-1
- Specfile autogenerated.
- Add perl-HTML-Mason.conf and /var/www/*
